FROM ubuntu:20.04

ENV DEBIAN_FRONTEND=noninteractive

RUN apt-get update \
 && apt-get install -y git \
 && apt-get install --no-install-recommends -y \
  libgl1-mesa-glx \
  libglib2.0-0 \
  python3.8 \
  python3-pip \
  python3.8-dev \
  build-essential \
  vim \
 && apt-get clean \
 && rm -rf /var/lib/apt/lists/*

# link python
RUN ln -nfs /usr/bin/python3.8 /usr/bin/python \
 && ln -nfs /usr/bin/pip3 /usr/bin/pip

RUN pip install --no-cache-dir \
 numpy \
 pytz \
 tqdm \
 pathlib \
 opencv-python \
 pillow

ARG CONTAINER_MNT_DIR
WORKDIR ${CONTAINER_MNT_DIR}